Bug 1998347 - Language preference does not reflect on console load
Summary: Language preference does not reflect on console load
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.9.0
Assignee: Aritra Roy
QA Contact: spathak@redhat.com
URL:
Whiteboard:
: 1998376 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-26 21:16 UTC by Aritra Roy
Modified: 2021-10-18 17:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9902 0 None None None 2021-08-26 21:23:03 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:35 UTC

Description Aritra Roy 2021-08-26 21:16:09 UTC
Description of problem:
The language preference set from the user preference page is not honored when console loads. Also, in the absence of a preference, the console defaults to English, ignoring "browser preference".

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-26-040328

How reproducible:
Always

Steps to Reproduce:
Scenario 1: user preference is not honored
1.Go to User Preference Page and click on Language & region tab
2.Click on the Language dropdown and select a language other than English
3.reload console

Scenario 2: browser preference is not honored in the absence of user preference
1.Set a language preference for your browser
2.Clear user settings from configmap and local storage if it exists
3.load console

Actual results:
The loads with English in both scnenario

Expected results:
Scenario 1: The console should load with the preferred language.
Scenario 2: The console should load with the browser preference for language

Additional info:

Comment 1 Samuel Padgett 2021-08-27 15:45:40 UTC
*** Bug 1998376 has been marked as a duplicate of this bug. ***

Comment 2 Samuel Padgett 2021-08-27 15:49:07 UTC
Marking this bug as high/blocker+ since I believe it will prevent you from using the console in another language with no workaround (short of manually editing `localStorage` in the JS console).

Comment 8 spathak@redhat.com 2021-09-09 10:28:45 UTC
Verified on build version: 4.9.0-0.nightly-2021-09-08-233235
Browser: Google Chrome 89

Comment 11 errata-xmlrpc 2021-10-18 17:49:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.